peripheral::DeviceManager_3_0_2::DeviceTypeInfo Struct Reference

Peripheral device type info. More...

`import"PeripheralDeviceManager.idl";`

## Public Attributes

sensors::Sensor_4_0_3 TypeSpec | type
| Device (sensor) type.
boolean | isActuator
| Is actuator or not.
string | identifier
| Device type identifier.
string | name
| Device type display name.
sensors::NumericSensor_4_0_3 Range | defaultRange
| Default sensor range (numeric sensors only)
int | defaultDecDigits
| Default sensor precision (numeric sensors only)

## Detailed Description

Peripheral device type info.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/PeripheralDeviceManager.idl